#include "AMBER_Van_der_Waals_scaled_energy.h"

namespace MM
{

double AMBER_Van_der_Waals_scaled_energy::handle_value() const
{
    return scale_ * AMBER_Van_der_Waals_energy::handle_value();
}

AMBER_Van_der_Waals_scaled_energy::
AMBER_Van_der_Waals_scaled_energy 
    (const Atom & atom1, const Atom & atom2, double A, double B, double scale)
:
    AMBER_Van_der_Waals_energy (atom1, atom2, A, B),
    scale_(scale)
{
}

}//MM
